Bug 5231 - Error in aupvlist.h header file from audiofile-devel
Error in aupvlist.h header file from audiofile-devel
Product: Red Hat Linux
Classification: Retired
Component: esound (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Elliot Lee
Depends On:
  Show dependency treegraph
Reported: 1999-09-19 18:36 EDT by tschenk
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-10-26 11:34:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description tschenk 1999-09-19 18:36:22 EDT
There is a problem with the aupvlist.h header file when
compiling C++ code.  The error in the file results in an

  parse error before '}'

message whenever this file is included.  This file is
included in audiofile.h and therefore affects any files that
use this header file and audiofile.h is included in esd.h,
which means anything developed using the esound libraries in
C++ are also affected.

The error results from the extern "C" {} and ifdef construct
used in the header file.  The closing curly brace is
included twice at the end of the file.  Removing the second
instance of the following:

#ifdef __cplusplus
#endif /* __cplusplus */

from the end of the file solves the problem.  This error was
discovered while attempting to compile the FreeAMP version
1.3.1 player.

Here is a simple patch to fix this error.

Mon Feb 22 12:06:08 1999
+++ aupvlist.h	Sun Sep 19 15:16:22 1999
@@ -60,8 +60,4 @@

-#ifdef __cplusplus
-#endif /* __cplusplus */

 #endif /* AUPVLIST_H */
Comment 1 Elliot Lee 1999-10-26 11:34:59 EDT
The version of audiofile that comes with RHL 6.1 does not have this

Note You need to log in before you can comment on or make changes to this bug.